Bug 501821 - grub boot from floppy fails fc11
grub boot from floppy fails fc11
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 17:04 EDT by Patrick Stanistreet
Modified: 2009-05-26 13:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 13:08:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Stanistreet 2009-05-20 17:04:36 EDT
Description of problem:
after installing fc11 preview I created a grub boot disk
and changed the hard drive to be a slave then edited
grub.conf on the boot disk  so (hd0,0) is (hd1,0)

however the system wont boot and hangs just as the
colored bar at the bottom displays.  This procedure
works with fc10

Version-Release number of selected component (if applicable):

fc11 


How reproducible:


Steps to Reproduce:
1. install fc11
2. modprobe floppy   (for some reason no /dev/fd0)
3. note also no /dev/fd0u1440 so had to fdformat
  on another system
4. mke2fs, mount -t ext2 /dev/fd0 /dev/floppy
5.  grub-install --root-directory=/mnt/floppy '(fd0)'
6.  cp /boot/grub/grub.conf  /mnt/floppy/boot/grub/grub.conf
7.  vim /mnt/floppy/boot/grub/grub.conf

     change hd0 to hd1  on the floppy and make master
     drive a slave and connect new master

This allows me to dual boot without affecting mbr of master
and without fc11 even being aware of other drive
during install as it is not connected.


  
Actual results:


Expected results:


Additional info:
Comment 1 Patrick Stanistreet 2009-05-24 13:26:09 EDT
I have done some more testing and there is reason to think this
my be a hardware problem.  
smartctl -l error -d ata /dev/sda
is not clean

please close as will reopen if problem occurs on other hardware

Note You need to log in before you can comment on or make changes to this bug.